# Changelog for keid-render-basic

## 0.1.4.0

Update to match `keid-core-0.1.4.0`.

- Changed `allocatePipelines` to use `msaa` directly.
  (`allocatePipelines_` remains unchanged.)
- Fixed litMain check for missing shadowmap.
- Relaxed `Set0.allocate`, `Set0.allocateEmpty` to any `MonadVulkan` under `ResourceT`.
- Added pipeline config exports.
- Added shared pipeline params to collection.

## 0.1.3.0

- Replaced RIO in resource loaders with constraints.
- `ForwardMSAA` and `ShadowMap` updated to `keid-core-0.1.3.0`.

## 0.1.2.1

- Fixed missing embedded textures in source distribution.

## 0.1.2.0

- Added embedded base textures and cubes needed for shader code.
- Changed Font resource to Source loader for both container and texture.
- Added callstack freezing to report call sites in debug log.
- Changed Loader stage to use `Source` in bootstrap.
- Removed `Set0.set0` and `Set0.set0_`.
  - Added `Set0.mkBindings` instead.
  - Minimal descriptor counts derived from base collections to prevent HOOM errors.

## 0.1.1.4

- Fixed another VK_HOST_OUT_OF_MEMORY, in Loader stage.

## 0.1.1.3

- Removed unused deps.
- Fixed VK_HOST_OUT_OF_MEMORY due to zero cubemap descriptors provided in Basic pipelines.

## 0.1.1.2

- Fix ambient occlusion in LitMaterial shader setup.
- Fix roughness clamping in Lit shader.

## 0.1.1.1

- Update timer to match `keid-core`.

## 0.1.1.0

- Added `Stage.Loader.*` (and `keid-geometry` dependency with it).

## 0.1.0.0

- Initial public version.
